// MPU-6050-Beispiel-Sketch
//
// Quelle:
// MPU-6050 Short Example Sketch
// By Arduino User JohnChi
// August 17, 2014
// Public Domain

//  == インクルード 必要ファイル読み込み ==
#include <Wire.h> // i2cのライブラリ
#define MPU_ADDR 0x68  // MPU-6050 のアドレス

// 測定値を格納する変数
int16_t AcX,AcY,AcZ,Tmp,GyX,GyY,GyZ;   

void setup() {
  Wire.begin();    // 初期化
  Wire.beginTransmission(MPU_ADDR); // I2Cスレーブにデータ送信開始
  Wire.write(0x6B);                  // I2Cスレーブにデータ送信
  Wire.write(0);                     // I2Cスレーブデバイスにデータ送信
  Wire.endTransmission(true);       // I2Cスレーブデバイスとのデータ送信完了

  // Starte serielle Ausgabe zum PC/seriellen Monitor
  Serial.begin(9600);
  while(!Serial);
}

void loop(){
  //　MPU_6050のレジスタンスを読み込み
  Wire.beginTransmission(MPU_ADDR);  // I2Cスレーブにデータ送信開始
  Wire.write(0x3B);                  // I2Cスレーブデバイスにデータ送信
  Wire.endTransmission(false);       // I2Cスレーブデバイスとのデータ送信完了
  Wire.requestFrom(MPU_ADDR,14,true);// 他のI2Cデバイスにデータ要求

  // Wire.read() ---  受信したbyte数を調べる  16bit
  AcX = Wire.read()<<8 | Wire.read();  // x軸の加速度 0x3B (ACCEL_XOUT_H) & 0x3C (ACCEL_XOUT_L)      
  AcY = Wire.read()<<8 | Wire.read();  // y軸の加速度 0x3D (ACCEL_YOUT_H) & 0x3E (ACCEL_YOUT_L)
  AcZ = Wire.read()<<8 | Wire.read();  // z軸の加速度 0x3F (ACCEL_ZOUT_H) & 0x40 (ACCEL_ZOUT_L)
  Tmp = Wire.read()<<8 | Wire.read();  // 温度の読み取り 0x41 (TEMP_OUT_H)   & 0x42 (TEMP_OUT_L)
  GyX = Wire.read()<<8 | Wire.read();  // x軸の角速度 0x43 (GYRO_XOUT_H)  & 0x44 (GYRO_XOUT_L)
  GyY = Wire.read()<<8 | Wire.read();  // y軸の角速度 0x45 (GYRO_YOUT_H)  & 0x46 (GYRO_YOUT_L)
  GyZ = Wire.read()<<8 | Wire.read();  // z軸の角速度 0x47 (GYRO_ZOUT_H)  & 0x48 (GYRO_ZOUT_L)

  // 全ての線形加速度をシリアルモニタへ出力
  Serial.print("AcX = "); Serial.print(AcX);
  Serial.print(" | AcY = "); Serial.print(AcY);
  Serial.print(" | AcZ = "); Serial.print(AcZ);

  // 摂氏
  Serial.print(" | Tmp = "); Serial.print(Tmp/340.00+36.53); 

  // 値をシリアルモニタへ出力
  Serial.print(" | GyX = "); Serial.print(GyX);
  Serial.print(" | GyY = "); Serial.print(GyY);
  Serial.print(" | GyZ = "); Serial.println(GyZ);
  
  delay(500); // 停止
}
